The Compat-Wireless driver is supposed to support injection with the RT2860 which is a very popular wireless card included in netbooks. Although there is support for the RT2860 in BT4, it does not support injection. The specific module name for the RT2860 is rt2800pci and it is a part of the rt2x00 driver set. More information is available at:

hxxp://git.kernel.org/?p=linux/kernel/git/linville/wireless-testing.git;a=summary;

and

hxxp://linuxwireless.org/en/users/Download

Thank you for your consideration!